<!-- ======= LISTADO CON: EXPORT Y PAGINADOR ======= -->
{% extends 'core/base-tables.html' %}

{% block content %}

<main id="main">

  <!-- ======= Breadcrumbs ======= -->
  <section id="breadcrumbs" class="breadcrumbs">
    <div class="container-fluid">
      <div class="row justify-content-center">
        <div class="col-xl-10 d-flex align-items-center">
          <div class="col-md-6 text-left" data-aos="fade-up">
            <h2>{{ titulo }}</h2>
            <a href="{{ url_for('Home.index') }}">Inicio</a>
            <i class="icofont-curved-right"></i><a href="{{ url_for('CatalogoDocumentos.explore') }}">Documentos</a>
            {% if filtro_cat %}
            <i class="icofont-curved-right"></i>{{ filtro_tit }}
            {% endif %}
          </div>
          <div class="col-md-6 text-right" data-aos="fade-up">
            <h3><i class="bx bx-filter-alt"></i>&nbsp;Ejes</h3>
            {% for item in ejes %}
            {% if loop.index!=1 %}
            |
            {% endif %}
            {% if filtro_cat=='eje' and filtro_tag==item.nombre %}
            <span>{{item.nombre}}<i class="bx bx-check icon-check"></i></span>
            {%else%}
            <a href="{{ url_for('CatalogoDocumentos.explore_x_eje') }}?codigo={{item.codigo}}">{{item.nombre}}</a>
            {% endif %}
            {% endfor %}
          </div>
        </div>
      </div>
    </div>
  </section><!-- End Breadcrumbs -->

  <!-- ======= Table-List Section ======= -->
  <section id="list" class="list section-bg">
    <div class="container-fluid">
      <div class="row justify-content-center">
        <div class="col-xl-10 d-flex entries">
          <div class="col-lg-9 entries">

            {% if filtro_cat>'' %}
            <div class="toolbar">
              <span>
                <a id="new" class="btn-primary animate__animated animate__fadeInUp" href="{{ url_for('CatalogoDocumentos.explore') }}" title="Quitar filtro">
                  <span><i class="icofont-hand-drawn-down"></i> Ver Todos</span>
                </a>
              </span>
            </div>
            {% endif %}
  
            {% if (datos|count > 0) %}
            <table
              id="table"
              data-search="true"
              data-pagination="true"
              data-page-size="6"
              data-show-custom-view="true"
              data-custom-view="customViewFormatter"
              data-show-custom-view-button="true">
              <thead>
                <tr>
                  <th data-field="titulo">Título</th>
                  <th data-field="entidad_autor">Entidad/Autor</th>
                  <th data-field="ambito">Ámbito</th>
                  <th data-field="categoria">Categoría</th>
                </tr>
            </thead>
            </table>
            
            <template id="profileTemplate">
              <div class="col-12 mt-3">
                <div class="card">
                  <div class="card-body">
                    <div class="row">
                      <div class="col-12">
                        <div class="icon-box" data-aos="fade-up">
                          <div class="icon"><img src="/static/dist/img/iconset/c_doc%TIPO%.png" /></div>
                          <h4 class="title"><a href="%REFERENCIA%" target="_blank">%TITULO%</a></h4>
                          <div class="card-meta">
                            <ul>
                              <li class="d-flex align-items-bottom"></li>
                              <li class="d-flex align-items-center"><i class="bx bx-edit-alt"></i>%AUTOR%</li>
                              <li class="d-flex align-items-center"><i class="bx bx-map"></i>%PAIS%</li>
                              <li class="d-flex align-items-center"><i class="bx bx-calendar"></i>%FECHA%</li>
                            </ul>
                          </div>
                          <ul>
                            <div class="row">
                              <div class="col-6">
                                <strong>Ámbito</strong>:&nbsp;%AMBITO%
                              </div>
                              <div class="col-6">
                                %TAGS%
                              </div>
                            </div>
                            <div class="row">
                              <div class="col-6">
                                <strong>Categoría</strong>:&nbsp;%CATEGORIA%
                              </div>
                            </div>
                          </ul>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </template>
            {% else %}
            <div></br></br></br>No se encontraron Documentos.</div>
            {% endif %}
          </div>

          <!-- ======= Sidebar: Table-List Filters ======= -->
          <div class="col-lg-3">
            <div class="sidebar section-bg">

              <div class="filter">

                <div class="section-title">
                  <h3>Filtros</h3>
                </div>
  
                <div class="filter-list">
                  <ul>
                    <li data-aos="fade-up">
                      <i class="bx bx-filter-alt icon-filter"></i><a data-toggle="collapse" href="#filter-list-1" class="collapsed">Tipos de Documentos <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
                      <div id="filter-list-1" class="collapse {% if filtro_cat=='tipo'%}show{% endif %}" data-parent=".filter-list">
                        <div class="sidebar-item categories">
                          <ul>
                            {% for item in tipos %}
                            <li>
                              {% if filtro_cat=='tipo' and filtro_tag==item.nombre %} 
                              <span>{{item.nombre}}<i class="bx bx-check icon-check"></i></span>
                              {% else %}
                              <a href="{{ url_for('CatalogoDocumentos.explore_x_tipo') }}?codigo={{item.codigo}}">{{item.nombre}}</a>
                              {% endif %}
                            </li>
                            {% endfor %}
                          </ul>
                        </div>
                      </div>
                    </li>
  
                    <li data-aos="fade-up" data-aos-delay="100">
                      <i class="bx bx-filter-alt icon-filter"></i> <a data-toggle="collapse" href="#filter-list-2" class="collapsed">Categorías <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
                      <div id="filter-list-2" class="collapse{% if filtro_cat=='categoria'%}show{% endif %}" data-parent=".filter-list">
                        <div class="sidebar-item categories">
                          <ul>
                            <li>
                              {% if filtro_cat=='categoria' and filtro_tag=='Jurídica' %}
                              <span>Jurídicas<i class="bx bx-check icon-check"></i></span>
                              {% else %}
                              <a href="{{ url_for('CatalogoDocumentos.explore_x_categoria') }}?tag=Jur&iacute;dica">Jurídicas</a>
                              {% endif %}
                            </li>
                            <li>
                              {% if filtro_tag=='Técnica' %}
                              <span>Técnicas<i class="bx bx-check icon-check"></i></span>
                              {% else %}
                              <a href="{{ url_for('CatalogoDocumentos.explore_x_categoria') }}?tag=T&eacute;cnica">Técnicas</a>
                              {% endif %}
                            </li>
                          </ul>
                        </div>
                      </div>
                    </li>
  
                    <li data-aos="fade-up" data-aos-delay="200">
                      <i class="bx bx-filter-alt icon-filter"></i> <a data-toggle="collapse" href="#filter-list-3" class="collapsed">Etiquetas <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
                      <div id="filter-list-3" class="collapse {% if filtro_cat=='etiqueta'%}show {% endif %}" data-parent=".filter-list">
                        <div class="sidebar-item tags">
                          <ul>
                            {% for i in range(etiquetas|count) %}
                            <li><a href="{{ url_for('CatalogoDocumentos.explore_x_etiqueta') }}?tag={{etiquetas[i]}}">{{etiquetas[i]}}</a></li>
                            {% endfor %}
                          </ul>
                        </div>
                      </div>
                    </li>
  
                  </ul>
                </div>
  
              </div>
            </div>
          </div>
          <!-- ======= End Sidebar: Table-List Filters ======= -->
        </div>
      </div>
    </div>
  </section><!-- End Table-List Section -->

</main><!-- End #main -->

{% endblock %}


{% block scripts %}
  <script>
    $(function() {
      
      $('#table').bootstrapTable({
        locale: 'es-ES',
        data: {{datos|tojson}}
      })

    })
  
    function customViewFormatter (data) {
      var template = $('#profileTemplate').html()
      var pais = ''
      var ambito = ''
      var categoria = ''
      var view = ''
      $.each(data, function (i, row) {
        if(row.ambito == '')
          ambito = '-'
        else
          ambito = row.ambito

        if(row.categoria == '')
          categoria = '-'
        else
          categoria = row.categoria

        if(row.pais_region == '')
          pais = '-'
        else
          pais = row.pais_region

        var atags = row.etiquetas.toString().split(",")
        var tags = ''
        var i = 0
        for(tag in atags){
          tags += '<a><span class="badge badge-secondary tags">' + atags[i] + '</span></a>\n'
          i = i + 1
        }

        view += template.replace('%NOMBRE%', row.nombre)
          .replace('%TITULO%', row.titulo)
          .replace('%AUTOR%', row.entidad_autor)
          .replace('%PAIS%', pais)
          .replace('%FECHA%', row.fecha)
          .replace('%REFERENCIA%', row.referencia)
          .replace('%AMBITO%', ambito)
          .replace('%CATEGORIA%', categoria)
          .replace('%TIPO%',  row.tipo.toString())
          .replace('%TAGS%', tags);
      })
  
      return `<div class="row mx-0">${view}</div>`
    }

  </script>
  
{% endblock %}
